export interface NtpUlidConfig {
    /** Enables recurring NTP sync */
    ntpRecurringUpdates?: boolean;
    /** Interval between NTP sync (only used if NTP recurring updates are enabled ) */
    ntpSyncIntervalMs?: number;
    /** IP/Hostname of the remote NTP Server */
    ntpServerAddress?: string;
    /** Remote NTP Server port number */
    ntpServerPort?: number;
    /** Amount of acceptable time (ms) to await for a response from the remote server. */
    ntpReplyTimeoutMs?: number;
    /** Display initial offset on console */
    debugInitialOffsetUpdate?: boolean;
    /** Display every offset after updates on console (overrides initial debug) */
    debugEveryOffsetUpdate?: boolean;
}
declare const ulid: () => string;
declare const initNtpUlidSync: (config?: NtpUlidConfig | undefined) => Promise<void>;
declare const stopNtpUlidSync: () => void;
export { ulid, initNtpUlidSync, stopNtpUlidSync };
